#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		debug_package	%{nil}

#-----------------------------------------------------------------------------
Name		:	ncftp
Version		:	3.2.6
Release		:	17.0.10.rel%{?dist}

Summary		:	Improved console FTP client

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	Artistic clarified
URL		:	https://www.ncftp.com/downloads/

Source0		:	%{name}-%{version}-src.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	automake
BuildRequires	:	libtool
BuildRequires	:	make
BuildRequires	:	ncurses-devel

#-----------------------------------------------------------------------------
%description
Ncftp is an improved FTP client. Ncftp's improvements
include support for command line editing, command histories,
recursive gets, automatic anonymous logins, and more.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.txt
%doc doc/html
%doc doc/CHANGELOG.txt doc/FIREWALLS_AND_PROXIES.txt doc/LICENSE.txt
%doc doc/READLINE.txt doc/what_changed_between_v2_v3.txt
%{_bindir}/ncftp
%{_bindir}/ncftpget
%{_bindir}/ncftpput
%{_bindir}/ncftpbatch
%{_bindir}/ncftpls
%{_bindir}/ncftpbookmarks
%{_bindir}/ncftpspooler
%{_mandir}/man1/ncftp.1.gz
%{_mandir}/man1/ncftpget.1.gz
%{_mandir}/man1/ncftpput.1.gz
%{_mandir}/man1/ncftpbatch.1.gz
%{_mandir}/man1/ncftpls.1.gz
%{_mandir}/man1/ncftpspooler.1.gz

#=============================================================================
%prep
%setup -q

sed -i							\
  -e 's/^Bookmark/extern Bookmark/'			\
  sh_util/gpshare.c

#-----------------------------------------------------------------------------
#building application
%build

autoreconf						\
	--install					\
	--force						\
	-I autoconf_local

./configure						\
        --prefix=%{_prefix}				\
	--libdir=%{_libdir}				\
	--libexecdir=%{_libexecdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--infodir=%{_infodir}				\
	--sharedstatedir=%{_var}/lib			\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%changelog
